# Generated from the Telepathy spec
""" Copyright (C) 2005-2008 Collabora Limited 
 Copyright (C) 2005-2008 Nokia Corporation 
 Copyright (C) 2006 INdT 

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
  
"""

import dbus.service


class ChannelInterfaceCallMerging(dbus.service.Interface):
    """\
      Interface for streamed media channels that can be merged and split
        in the same sort of way as in GSM or PBX telephony.
    """

    def __init__(self):
        self._interfaces.add('org.freedesktop.Telepathy.Channel.Interface.CallMerging')

    @dbus.service.method('org.freedesktop.Telepathy.Channel.Interface.CallMerging', in_signature='o', out_signature='')
    def Merge(self, Other):
        """
        Request that the given channel be merged into this one. This means
        that the other channel is closed, and all its participants are added
        to the channel on which this method was called.
      
        """
        raise NotImplementedError
  
    @dbus.service.method('org.freedesktop.Telepathy.Channel.Interface.CallMerging', in_signature='u', out_signature='o')
    def Split(self, Contact):
        """
        Request that the given contact is removed from this channel, and
        a new channel is created to communicate with them privately instead.
        This is the inverse of Merge.
      
        """
        raise NotImplementedError
  